org.jfree.chart.editor

## Class DefaultAxisEditor

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - org.jfree.chart.editor.DefaultAxisEditor

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible
  Direct Known Subclasses:
    DefaultValueAxisEditor

      class DefaultAxisEditor
      extends javax.swing.JPanel
      implements java.awt.event.ActionListener

  A panel for editing the properties of an axis.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.ResourceBundle` | `localizationResources` The resourceBundle for the localization.

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAxisEditor(Axis axis)` Standard constructor: builds a panel for displaying/editing the properties of the specified axis.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)` Handles user interaction with the property panel.
    `void` | `attemptTickLabelFontSelection()` Presents a tick label font selection dialog to the user.
    `static DefaultAxisEditor` | `getInstance(Axis axis)` A static method that returns a panel that is appropriate for the axis type.
    `java.lang.String` | `getLabel()` Returns the current axis label.
    `java.awt.Font` | `getLabelFont()` Returns the current label font.
    `RectangleInsets` | `getLabelInsets()` Returns the current label insets value
    `java.awt.Paint` | `getLabelPaint()` Returns the current label paint.
    `javax.swing.JTabbedPane` | `getOtherTabs()` Returns a reference to the tabbed pane.
    `java.awt.Font` | `getTickLabelFont()` Returns the font used to draw the tick labels (if they are showing).
    `RectangleInsets` | `getTickLabelInsets()` Returns the current tick label insets value
    `java.awt.Paint` | `getTickLabelPaint()` Returns the current tick label paint.
    `boolean` | `isTickLabelsVisible()` Returns a flag that indicates whether or not the tick labels are visible.
    `boolean` | `isTickMarksVisible()` Returns the current value of the flag that determines whether or not tick marks are visible.
    `void` | `setAxisProperties(Axis axis)` Sets the properties of the specified axis to match the properties defined on this panel.

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### localizationResources

          protected static java.util.ResourceBundle localizationResources

      The resourceBundle for the localization.

  - ### Constructor Detail

    - #### DefaultAxisEditor

          public DefaultAxisEditor(Axis axis)

      Standard constructor: builds a panel for displaying/editing the properties of the specified axis.
      Parameters:
        `axis` - the axis whose properties are to be displayed/edited in the panel.

  - ### Method Detail

    - #### getInstance

          public static DefaultAxisEditor getInstance(Axis axis)

      A static method that returns a panel that is appropriate for the axis type.
      Parameters:
        `axis` - the axis whose properties are to be displayed/edited in the panel.
      Returns:
        A panel or `null` if axis is `null`.

    - #### getLabel

          public java.lang.String getLabel()

      Returns the current axis label.
      Returns:
        The current axis label.

    - #### getLabelFont

          public java.awt.Font getLabelFont()

      Returns the current label font.
      Returns:
        The current label font.

    - #### getLabelPaint

          public java.awt.Paint getLabelPaint()

      Returns the current label paint.
      Returns:
        The current label paint.

    - #### isTickLabelsVisible

          public boolean isTickLabelsVisible()

      Returns a flag that indicates whether or not the tick labels are visible.
      Returns:
        `true` if tick mark labels are visible.

    - #### getTickLabelFont

          public java.awt.Font getTickLabelFont()

      Returns the font used to draw the tick labels (if they are showing).
      Returns:
        The font used to draw the tick labels.

    - #### getTickLabelPaint

          public java.awt.Paint getTickLabelPaint()

      Returns the current tick label paint.
      Returns:
        The current tick label paint.

    - #### isTickMarksVisible

          public boolean isTickMarksVisible()

      Returns the current value of the flag that determines whether or not tick marks are visible.
      Returns:
        `true` if tick marks are visible.

    - #### getTickLabelInsets

          public RectangleInsets getTickLabelInsets()

      Returns the current tick label insets value
      Returns:
        The current tick label insets value.

    - #### getLabelInsets

          public RectangleInsets getLabelInsets()

      Returns the current label insets value
      Returns:
        The current label insets value.

    - #### getOtherTabs

          public javax.swing.JTabbedPane getOtherTabs()

      Returns a reference to the tabbed pane.
      Returns:
        A reference to the tabbed pane.

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Handles user interaction with the property panel.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Parameters:
        `event` - information about the event that triggered the call to this method.

    - #### attemptTickLabelFontSelection

          public void attemptTickLabelFontSelection()

      Presents a tick label font selection dialog to the user.

    - #### setAxisProperties

          public void setAxisProperties(Axis axis)

      Sets the properties of the specified axis to match the properties defined on this panel.
      Parameters:
        `axis` - the axis.